#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		apivers		2.68
#-----------------------------------------------------------------------------
Name		:	glibmm
Version		:	2.78.0
Release		:	17.0.10.rel%{?dist}
Summary		:	C++ interface for the GLib.
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/glibmm

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	glib-devel
BuildRequires	:	doxygen
BuildRequires	:	gi-docgen
BuildRequires	:	graphviz
BuildRequires	:	libsigc++30-devel
BuildRequires	:	meson
BuildRequires	:	mm-common

Requires	:	glib
#-----------------------------------------------------------------------------
%description
'%{name}' package is a set of C++ bindings for GLib. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README.md NEWS
%{_libdir}/libgiomm-%{apivers}.so.*
%{_libdir}/lib%{name}-%{apivers}.so.*
%{_libdir}/lib%{name}_generate_extra_defs-%{apivers}.so.*

#=============================================================================
%package		devel
Summary		:	Headers for developing programs that will use %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains the static libraries and header files needed for
developing glibmm applications.
 
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/giomm-%{apivers}/giomm.h
%{_includedir}/giomm-%{apivers}/giomm/*.h
%{_includedir}/giomm-%{apivers}/giomm/private/*.h
%{_includedir}/%{name}-%{apivers}/%{name}.h
%{_includedir}/%{name}-%{apivers}/%{name}/*.h
%{_includedir}/%{name}-%{apivers}/%{name}_generate_extra_defs/*.h
%{_includedir}/%{name}-%{apivers}/%{name}/private/*.h
%{_libdir}/giomm-%{apivers}/include/*.h
%{_libdir}/libgiomm-%{apivers}.so
%{_libdir}/%{name}-%{apivers}/include/glibmmconfig.h
%{_libdir}/%{name}-%{apivers}/proc/generate_wrap_init.pl
%{_libdir}/%{name}-%{apivers}/proc/gmmproc
%{_libdir}/%{name}-%{apivers}/proc/m4/*.m4
%{_libdir}/%{name}-%{apivers}/proc/pm/*.pm
%{_libdir}/lib%{name}-%{apivers}.so
%{_libdir}/lib%{name}_generate_extra_defs-%{apivers}.so
%{_libdir}/pkgconfig/giomm-%{apivers}.pc
%{_libdir}/pkgconfig/%{name}-%{apivers}.pc

#=============================================================================
%package		doc
Summary		:	Documentation for %{name}, includes full API docs

#-----------------------------------------------------------------------------
Requires	:       %{name} = %{version}-%{release}

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
This package contains the full API documentation for %{name}.
 
#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%doc %{_defaultdocdir}/%{name}-%{apivers}/images/*.gif
%doc %{_defaultdocdir}/%{name}-%{apivers}/reference/%{name}-%{apivers}.tag
%doc %{_defaultdocdir}/%{name}-%{apivers}/reference/html/*.svg
%doc %{_defaultdocdir}/%{name}-%{apivers}/reference/html/*.{dot,html,js,png}
%doc %{_defaultdocdir}/%{name}-%{apivers}/reference/html/*.css
%doc %{_defaultdocdir}/%{name}-%{apivers}/reference/html/*.map
%doc %{_defaultdocdir}/%{name}-%{apivers}/reference/html/*.md5
%doc %{_datadir}/devhelp/books/%{name}-%{apivers}/%{name}-%{apivers}.devhelp2

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson	setup						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	-D build-documentation=true			\
	_bld

meson	compile						\
	-C _bld						\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

meson	install						\
	-C _bld						\
	--destdir=%{buildroot}

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
